(*******************************************************************)
(*                                                                 *)
(* Copyright 1986-2012 Embarcadero Technologies Inc.               *)
(* All rights reserved.                                            *)
(*                                                                 *)
(*******************************************************************)

{*******************************************************************}
{                                                                   }
{       PROGRAM:     UDF and Blob filter Utilities library          }
{       MODULE:      ib_util.pas                                    }
{       DESCRIPTION: Pascal prototype header file for ib_util.c     }
{                                                                   }
{*******************************************************************}
unit ib_util;

interface

const
  {$IFDEF MACOS}
  Prefix = '_';
  {$ELSE}
  Prefix = '';
  {$ENDIF}


{$IFDEF MACOS}
  ib_Util_libraryname = 'libib_util.dylib';
{$ENDIF}
{$IFDEF WIN64}
  ib_Util_libraryname = 'ib_util64.dll';
{$ENDIF}
{$IFDEF WIN32}
  ib_Util_libraryname = 'ib_util.dll';
{$ENDIF}

  function ib_util_malloc(l: integer): pointer; cdecl; external ib_Util_libraryname name Prefix+'ib_util_malloc';

implementation

end.

