/*
 *	PROGRAM:	IBXML - InterBase XML library.
 *	MODULE:		ibxml_proto.h
 *	DESCRIPTION: header file containing the ibxml function prototypes
 *
 * Copyright (C) 2001-2010 Embarcadero Technologies Inc.
 * All Rights Reserved.
 */

#ifndef IBXML_PROTO_H
#define IBXML_PROTO_H

#include <ibase.h>
#include <ibxml.h>

int ISC_EXPORT isc_dsql_xml_buffer_fetch(ISC_STATUS *status, isc_stmt_handle *stmt,
		char *buffer, int buffer_size,  ISC_USHORT da_version,  
		XSQLDA *sqlda, IB_XMLDA *ib_xmlda);

int ISC_EXPORT isc_dsql_xml_fetch(ISC_STATUS *status, isc_stmt_handle *stmt,
		ISC_USHORT da_version, XSQLDA *sqlda, IB_XMLDA *ib_xmlda);

int ISC_EXPORT isc_dsql_xml_fetch_all(ISC_STATUS *status, isc_stmt_handle *stmt,
		ISC_USHORT da_version, XSQLDA *sqlda, 
		IB_XMLDA *ib_xmlda);

#endif /* IBXML_PROTO_H */
